Copyright: ® 1995-1996 TECNOSOFT.


Contenidos
TECNOWIN

TECNOWIN-3D Help File.

© 1995 -1996 TECNOSOFT  / F. JAVIER CUESTA GUTIERREZ

•	3DFace

•	3D Parameters

•	3D Change

•	Working Plane

•	Surfaces

•	Perspective

•	Sections

•	3D Windows

•	TECNOWIN-3D -ToolBox-


TECNOWIN
TECNOWIN INFORMATION

 TECNOWIN v.3.10 - 3D Extension.

TECNOWIN is © 1995-1996 TECNOSOFT. All Rights Reserved.


P3D Parameters
3D Parameters

•	Z Coordinate

•	Fit Z Coordinate

•	Cancel Fit Z Coordinate

•	Elevation -by default-

•	Thick -by default-


C3D Change
3D Change

•	 Change -Elevation-

•	 Change -Thick-

•	 Change 3D Object


PWorking Plane
Working Plane

•	 Plane -Vertical Section-

•	 Plane -3 Points-

•	 World Reference System


SSurfaces
Surfaces

•	 Sphere

•	 SemiSphere

•	 Conic Surface

•	 Cylindric Surface

•	 Revolution Surface

•	 Edge Surface


PPerspective
Perspective

•	 Cameras -Show-

•	 Cameras -Position-

•	 Cameras -Reference Point-

•	 Cameras -Distance to Focal Plane-

•	 Light


V3D Windows
3D Windows

•	 3D Window -Make-

•	 3D Window -Activate-

•	 3D Window -Options-


V3D Window -Options-
3D Windows -Options-

•	 3D Window -Redraw-

•	 3D Window -Shading Options-

•	 3D Window -Camera-

•	 3D Window -Light-

•	 3D Window -Hide-

•	 3D Window -Shade-

•	 3D Window -Interchange-

•	 3D Window -Save-


V3D Window -Interchange-
3D Window -Interchange-

•	 3D Window -BMPCopy-

•	 3D Window -ObjCopy-


3DFace

 Makes a 3dface: A solid object which boundaries are marked by 3 / 4 vertex.

    SITUATION:

  Draw Menu.

    PARAMETERS:

   * Enter the 3 / 4 points to define the object by mouse / keyboard. If the 3dface has got 3  points then pick ENTER (right button of the mouse) when the application asks for the fourth point.

    COMMENT:

  3dfaces are solid objects (planes) bounding a triangle (3 vertex) or parallelogram( 4 vertex). They usually work like tops for our 3D drawing because they are solid objects (not wire objects like lines, circles, etc.). As solid objects they hide the lines located backward them referred to the point of view of the observer (camera).

   You can apply them any edit command (erase, move, copy, stretch, rotate, ...)

SEE ALSO:


Z Coordinate

 Allows enter the Z coordinate of the picked point.

    SITUATION:

  Approx Menu.

  UP TOOLBOX.

    PARAMETERS:

   * Dialog Frame for entering the Z Coordinate.

    COMMENT:

   The application assigns the default Elevation value as the Z value during the introduction of any point (keyboard / mouse). But if you want to enter a different Z value for a point you must pick the Z Coordinate command BEFORE you pick the point. In this way, when you pick the point the application opens a Dialog Frame asking for the Z Coordinate for that point (the default value is the Elevation by default of the drawing).

SEE ALSO: Elevation -by default-


Fit Z Coordinate

Fits the automatic Z mode to asking for the Z Coordinate when you pick any point.

    SITUATION:

  Approx Menu.

    PARAMETERS:

   * None.

    COMMENT:

 The application assigns the default Elevation value as the Z value during the introduction of any point (keyboard / mouse). But if you want to enter a different Z value for a point you must pick the Z Coordinate command BEFORE you pick the point. But if we ALWAYS want to enter a Z value for any point we would need pick the Z COORDINATE command for any point. We can avoid this fact picking the FIT Z COORDINATE. In this way, when you pick a point the application asks for its Z Coordinate always.

   When we do not need to enter ever the Z coordinate we must pick the CANCEL FIT Z COORDINATE command.

SEE ALSO:

Z Coordinate

  Cancel Fit Z Coordinate


Cancel Fit Z Coordinate

Cancels the continuous request to enter the Z Coordinate for any point.

    SITUATION:

    Approx Menu.

    PARAMETERS:

   * None.

    COMMENT:

 Cancels the Fit Z Coordinate previously picked. It will not take any effect if you are not in Fit mode.

SEE ALSO:

Z Coordinate

  Fit Z Coordinate


Elevation -by default-

 Assigns the default Elevation (Z Coordinate value) for all the entered points.

    SITUATION:

  3D Menu.

  TECNOWIN-3D TOOLBOX.

    PARAMETERS:

   * Dialog Frame to enter the Z Coordinate as the new default Elevation value.

    COMMENT:

  The Elevation -by default- will be the Z value for any picked point. By default the application does not ask for the Z value when you pick a point. It assumes that the Z value is the default Elevation value.

   So if you want to enter a different Z value for a point you must pick the Z Coordinate command BEFORE you pick the point. In this way, when you pick the point the application opens a Dialog Frame asking for the Z Coordinate for that point (the default value is the Elevation by default of the drawing).

    The Elevation -by default- command allows to change the default elevation value through a Dialog Frame.

SEE ALSO: Thick -by default-


 Thick -by default-

Assigns the Thick (extrusion value along Z edge) that will have all new objects  (LINES, CIRCLES, ARCS and POLYLINES).

    SITUATION:

  3D Menu.

  TECNOWIN-3D TOOLBOX.

    PARAMETERS:

   * Dialog Frame to enter the Thick value. The previous value appears.

    COMMENT:

  We can make an extrude operation over the following object types: LINES, CIRCLES, ARCS and POLYLINES. All the new objects (of these types) will have the default Thick of the drawing.

   The Thick -by default- command allows to change the default elevation value through a Dialog Frame.

     The Elevation / Thick of the objects can be modified in any time picking the Change -Elevation- / Change -Thickness- commands.

SEE ALSO: Elevation -by default-


 Change  -Elevation-

 Allows change the object Elevation (Z Coordinate) of the selected objects.

    SITUATION:

  3D Menu.

  TECNOWIN-3D TOOLBOX.

    PARAMETERS:

    * SELECTION of objects.

  * Dialog Frame to enter the new Elevation (Z Coordinate).

    COMMENT:

   This command allows to change the Z Coordinate of any object previously selected. All the points of the selected objects will have the new Z Coordinate. If you wish that the Z Coordinate of the two points of a object line were different you must pick the more generic Change -Z Object- command.

SEE ALSO:

Change -Thick-

  Change -Z Object-


Change -Thick-
 Change Thick

Changes the Thick value of the selected objects.

    SITUATION:

   3D Menu.

   TECNOWIN-3D TOOLBOX.

    PARAMETERS:

    * SELECTION of objects.

    * Dialog Frame to enter the new Elevation (Z Coordinate).

    COMMENT:

    This command allows to change the Thick of any object previously selected. All the points of the selected objects will have the new Thick value. If you wish that the Thick of the two points of a line object were different you must pick the more generic Change -Z Object- command.

SEE ALSO:

Change -Elevation-

  Change -Z Object-


Change Z Object
 Change   -Z Object-

 Allows change the Z Coordinates / Thick values of the selected objects.

    SITUATION:

   3D Menu.

   TECNOWIN-3D TOOLBOX.

    PARAMETERS:

    * SINGLE SELECTION of objects.

   *  Dialog Frame to enter the Z / Thick values to the two sides.

    COMMENT:

   This command allows to change the Elevation / Thickness of any LINE / ARC objects.

SEE ALSO:

Change -Elevation-

  Change -Thick-


 Plane -by Vertical Section-

Changes the Working Plane to a plane defined by a Vertical Section (I mean, a plane perpendicular to the OXY plane).

    SITUATION:

   3D Menu.

   TECNOWIN-3D TOOLBOX.

    PARAMETERS:

   * Point-origin of the plane.

   * Other point to define the section-plane.

   * Point from the origin to define the objects visibility referred to the front part of the plane.

   * Point from the origin to define the objects visibility referred to the back part of the plane.

    COMMENT:

    Sometimes can be more affordable to draw in a plane different of the World System Reference (OXY). With this command you can draw in any perpendicular plane to the OXY plane of the World System Reference. The plane is defined by two points (the intersection line with the OXY plane) because the third plane is parallel to the Z edge of the World System.

  The points that define the objects visibility when drawing in the new working plane are referred to those objects that have been drawn according to PARALLEL planes with relation to the working plane, because all the rest objects NEVER WILL BE DRAWN.

   You must keep on mind that all the new objects drawn in the new working plane will have as Z value the DEFAULT ELEVATION of the drawing and will have as Thick value the DEFAULT THICK of the drawing, but both of them REFERRED to the new Z edge of the Working Plane. In fact you can see this effect through a 3D View or when you pass again to the World System Reference.

    When you are in a Working Plane we recommend effect all drawing edit commands in this Plane (or one parallel), because their effects can be not as obvious as you are waiting for.

SEE ALSO:

Plane -3 Points-

  World System Reference


Plane -by 3 Points-
 Plane -3 Points-

Changes the Working Plane to another plane defined by any three points.

    SITUATION:

   3D Menu.

   TECNOWIN-3D TOOLBOX.

    PARAMETERS:

   * Origin point of the plane.

   * Other two points to define the plane.

  * Dialog Frame to define the objects visibility previously drawn in parallel planes to this plane.

    COMMENT:

Sometimes can be more affordable to draw in a plane different of the World System Reference (OXY). With this command you can draw in any perpendicular plane to the OXY plane of the World System Reference. The plane is defined by two points (the intersection line with the OXY plane) because the third plane is parallel to the Z edge of the World System.

  The points that define the objects visibility when drawing in the new working plane are referred to those objects that have been drawn according to PARALLEL planes with relation to the working plane, because all the rest objects NEVER WILL BE DRAWN.

   You must keep on mind that all new objects drawn in the new working plane will have as Z value the DEFAULT ELEVATION of the drawing and will have as Thick value the DEFAULT THICK of the drawing, but both of them REFERRED to the new Z edge of the Working Plane. In fact you can see this effect through a 3D View or when you pass again to the World System Reference.

    When you are in a Working Plane we recommend effect all drawing edit commands in this Plane (or one parallel), because their effects can be not as obvious as you are waiting for.

SEE ALSO:

Plane - by Vertical Section-

  World System Reference


World Reference System
 World System Reference

Changes the Working Plane to the World System Reference.

    SITUATION:

   3D Menu. Working Planes Submenu.

   TECNOWIN-3D TOOLBOX.

    PARAMETERS:

    None.

    COMMENT:

 When you draw for first time in the drawing you are in the World System Reference by default. But if you change to another Working Plane and you want to return to the World System Reference you must pick this command. If you are working in the World System Reference the command will not take any effect.

SEE ALSO:

Plane -Vertical Section-

  Plane -by 3 Points-


 Sphere

Makes a sphere.

    SITUATION:

  3D Menu. SURFACES command.

  TECNOWIN-3D TOOLBOX (Surfaces).

    PARAMETERS:

  * Dialog Frame to enter:

       - Sphere Radius.

       - Parallels number.

       - Meridians number.

   * Insert point for the new object.

    COMMENT:

   The Sphere will be created like a block object. Then you can insert it and handle like any block. Anyway you must keep on mind that you only can change the Scale factors according to X, Y edges. The Z Scale factor is ever the unit.

SEE ALSO:


 SemiSphere

Makes a SemiSphere.

    SITUATION:

3D Menu. SURFACES command.

  TECNOWIN-3D TOOLBOX (Surfaces).

    PARAMETERS:

  * Dialog Frame to enter:

       - Sphere Radius.

       - Parallels number.

       - Meridians number.

   * Insert point for the new object.

    COMMENT:

   The SemiSphere will be created like a block object. Then you can insert it and handle like any block. Anyway you must keep on mind that you only can change the Scale factors according to X, Y edges. The Z Scale factor is ever the unit.

.

SEE ALSO:


 Conic Surface

 Makes a Conic Surface.

    SITUATION:

  3D Menu. SURFACES command.

  TECNOWIN-3D TOOLBOX (Surfaces).

    PARAMETERS:

  * Dialog Frame to enter:

       - Radius of the lower basis.

       - Radius of the upper basis.

       - Turns number.

   * Insert point for the new object.

    COMMENT:

The Conic Surface will be created like a block object. Then you can insert it and handle like any block. Anyway you must keep on mind that you only can change the Scale factors according to X, Y edges. The Z Scale factor is ever the unit.

 If you make the radius of the upper basis equal to 0, then the Surface will become a CONE Surface.

  In anyway we could call it a Pyramidal Surface. When the turns number is high the surface becomes to a conic surface.

SEE ALSO:


 Cylindric Surface

Makes a Cylindric Surface.

SITUATION:

  3D Menu. SURFACES command.

  TECNOWIN-3D TOOLBOX (Surfaces).

    PARAMETERS:

  * Dialog Frame to enter:

       - Basis Radius.

       - Turns number.

   * Insert point for the new object.

    COMMENT:

The Cylindric Surface will be created like a block object. Then you can insert it and handle like any block. Anyway you must keep on mind that you only can change the Scale factors according to X, Y edges. The Z Scale factor is ever the unit.

 The Cylindric Surface it is generated with tops in the upper / lower basis for making it a solid object.

SEE ALSO:


 Revolution Surface

Makes a Revolution Surface.

SITUATION:

  3D Menu. SURFACES command.

  TECNOWIN-3D TOOLBOX (Surfaces).

    PARAMETERS:

* SINGLE SELECTION of POLYLINE object. This polyline represents the surface section for a vertical plane.

 * SINGLE SELECTION of LINE object that represents the rotation edge.

* Dialog Frame to enter:

       - Parallels number.

       - Meridians number.

   * Insert point for the new object.

    COMMENT:

The Cylindric Surface will be created like a block object. Then you can insert it and handle like any block. Anyway you must keep on mind that you only can change the Scale factors according to X, Y edges. The Z Scale factor is ever the unit.

 The Revolution surface is defined for a curve (polyline in our case) turning around a rotation edge (a line in our case). You must keep on mind that the revolution surface is generated starting in the Initial Point if the Polyline (if you are on doubt please LIST the polyline object). The insert point of the new block object (the surface) will be in the intersection of the perpendicular drawn from the rotation edge. So that can be some cases we would want invert the polyline direction, I mean, we would like the initial point and end point of the polyline were. However we CAN NOT CHANGE THE POLYLINE DIRECTION then we must make the following trick: Draw the line-rotation edge in the opposite direction to the polyline direction.

   General rule: The Revolution Surface is generated starting in the initial point of the polyline if both of them (polyline / rotation edge) have the same direction and is generated starting from the endpoint of the polyline if they have opposite directions.

SEE ALSO:


 Edge Surface

 Makes an Edge Surface. That is a surface based in a circle moving along any path-curve (polyline).

SITUATION:

  3D Menu. SURFACES command.

  TECNOWIN-3D TOOLBOX (Surfaces).

    PARAMETERS:

* SINGLE SELECTION of POLYLINE object. This polyline represents the path curve.

* Dialog Frame to enter:

       - Parallels number.

       - Circle Radius.

   * Insert point for the new object.

    COMMENT:

The Edge Surface will be created like a block object. Then you can insert it and handle like any block. Anyway you must keep on mind that you only can change the Scale factors according to X, Y edges. The Z Scale factor is ever the unit.

 A particular case of Edge Surface is a Torus Surface. This is a ring and the path-curve is a circle.

SEE ALSO:


 Cameras -Show-

 Shows the position of the six cameras (camera position+target position) that TECNOWIN-3D accepts.

    SITUATION:

  3D Menu. Perspective Submenu. Cameras Submenu.

  TECNOWIN-3D TOOLBOX.

    PARAMETERS:

 * None.

    COMMENT:

      Shows in schematic mode the position of the six possible cameras that the application admits.

SEE ALSO:

Cameras -Position-

  Cameras -Target-


 Cameras -Position-

 Allows change the position of a camera.

    SITUATION:

  3D Menu. Perspective Submenu. Cameras Submenu.

  TECNOWIN-3D TOOLBOX.

   PARAMETERS:

 * Dialog Frame to select a camera.

 *  Point to point out the camera position.

    COMMENT:

      Pick the point (keyboard / mouse) to define the camera coordinates. Remember: If you want (as usual) a Z Coordinate for the point then pick the Z Coordinate command before picking the point.

     If you already have a 3D Window opened containing the selected camera then you must redraw for showing changes.

SEE ALSO:

Cameras -Show-

  Cameras -Target-


 Cameras -Target-

Allows change the position of the camera target point.

    SITUATION:

  3D Menu. Perspective Submenu. Cameras Submenu.

  TECNOWIN-3D TOOLBOX.

   PARAMETERS:

 * Dialog Frame to select a camera.

 *  Point to point out the new target point position.

    COMMENT:

  Target point is the point the observer is looking to.

Pick the point (keyboard / mouse) to define the target coordinates. Remember: If you want (as usual) a Z Coordinate for the point then pick the Z Coordinate command before picking the point.

  If you already have a 3D Window opened containing the selected camera then you must redraw for showing changes.

SEE ALSO:

Cameras -Show-

  Cameras -Position-


Cameras -Phocal Plane Distance-
 Cameras -Focal Plane Distance-

 Allows change the position of the focal plane of a camera.

SITUATION:

  3D Menu. Perspective Submenu. Cameras Submenu.

  TECNOWIN-3D TOOLBOX.

  PARAMETERS:

* Dialog Frame to select a camera.

 *  Point to point out the new focal plane point position from camera position.

   COMMENT:

     According the Focal Plane position we see the perspective with lesser / higher distortion.  Focal Plane very closed to the Target point will do parallel lines very closed in the horizon (very planed objects). Focal Planes very closed to camera will do very distorted objects. The application has got a default value that make the same effect (or similar) than a observer placed at the camera point and looking to the target point. However you can ever change the Focal Plane distance with this command.

    If you already have a 3D Window opened containing the selected camera then you must redraw for showing changes.

SEE ALSO:

Cameras -Position-

  Cameras -Target-


 Light

 Allows change the position of a light.

SITUATION:

  3D Menu. Perspective Submenu. Light Submenu.

  TECNOWIN-3D TOOLBOX.

PARAMETERS:

 * Dialog Frame to select a light.

 *  Point to point out the new light position.

 *  Point to point out the new position of the target point from the light.

  COMMENT:

 The light position only will have effect for the Shading command (options Shading with Lights / Shading with Lights+Edges).

  The application have got six lights available.

 All 3D Windows take by default the L0 light although the six lights position is the same by default.

SEE ALSO:

3D Window -Light-


 Sections

Makes a Section by a Vertical Plane and show it in a Window.

    SITUATION:

  3D Menu.

  TECNOWIN-3D TOOLBOX.

    PARAMETERS:

   * Origin point of the section-plane.

   *  Another point to define the Section.

   * Point from origin to define the objects visibility referred to the back side of the plane.

    COMMENT:

    Allows show in a separate Window the drawing Section by any Vertical Plane. The forward (referred to the section) objects NEVER WILL BE VISIBLE and the backward objects only are visible to the point picked by the user.

       The Section is a Dynamic View so that any change in drawing produce a change in the section-view.

SEE ALSO:

3D Windows


 3D Window   -Make-

Makes a window containing a 3D View of the drawing.

    SITUATION:

   Windows Menu.

    PARAMETERS:

    COMMENT:

     Allows to view the drawing Perspective. The default Camera is C0 and the default light L0. If you want to change camera / light you must pick the 3D Window -Cameras- / 3D Window -Light-.

   The 3D Window is a Dynamic View of the drawing so that any change in drawing produce a change in the 3D View. It contains a menu with their own commands. To activate the menu of a 3D Window YOU MUST PICK in any point into the Window.

SEE ALSO:

3D Window -Activate-


 3D Window -Activate-

Allows activate the Menu of a 3D Window.

    SITUATION:

    PARAMETERS:

    None. This command is activated picking any point into the Window.

    COMMENT:

 Allows activate the Menu of a 3D Window making it accessible.

SEE ALSO:

3D Window -Make-


 3D Window -Redraw-

Redraws the 3D Window contents.

    SITUATION:

    3D-Windows Menu.

    PARAMETERS:

    None.

    COMMENT:

    Redraws only the 3D Window contents but it not redraws any other Window.

SEE ALSO:


3D Window -Shading Options-
 3D Windows -Shading Options-

 Allows choose a Shading Mode for the 3D Window.

    SITUATION:

    3D Windows Menu.

    PARAMETERS:

    Dialog Frame with graphic options to select the Shading Mode.

    COMMENT:

       The Shading process allow presents a 3D Window with solid appearance. We can select a different Shading Mode for each 3D Window. The available shading modes are the following:

                 - Hide: The effect is equal to the Hide command effect but it takes the advantage of speed.

                 -  Solid: Make solid faces with the appropriate colour and edges between faces are drawn in black colour.

                  - Lights: Take into account the light effect.

                  - Lights+Edges: Similar to Lights Method but drawing the edges of the solid faces.

        The four methods take more or less the same time. The more realistic is the Lights option.

         You can copy the image in the 3D Window (3D Window -BMPCopy- command) for be pasted into another application.

SEE ALSO:

3D Window -Shading-


 3D Window -Camera-

 Allows choose a Camera for the 3D Window.

   SITUATION:

    3D Windows Menu.

    PARAMETERS:

    Dialog Frame to select the camera.

    COMMENT:

When a 3D Window is created has got the C0 Camera by default. This command allows change the Camera for the 3D Window.

 When you select a new camera then the 3D Window is redrawn.

SEE ALSO:

3D Window -Light-


 3D Window -Light-

Allows choose a Light for the 3D Window.

   SITUATION:

    3D Windows Menu.

    PARAMETERS:

    Dialog Frame to select the Light.

   COMMENT:

When a 3D Window is created has got the C0 Camera by default. This command allows change the Camera for the 3D Window.

 When you select a new camera then the 3D Window is redrawn.

SEE ALSO:

3D Window -Camera-


 3D Window -Hide-

Makes a hidding lines process.

SITUATION:

    3D Windows Menu.

 PARAMETERS:

    None.

COMMENT:

 When a 3D Window is created all the objects will be drawn following an wire model, I mean, it take not into account that we are playing with solid objects. The hidden process make a solid image, hidding those objects or part of them that are not visible for the observer. This process will be more or less slow according the drawing and your computer.

  The generated image can be copied to Clipboard as .BMP image through the 3D Window -BMPCopy- command. But if you want a vectorial image for handling after like 2D-drawing then you must pick the 3D Window -OBJCopy- command in the Interchange Submenu. It will copy the hidden image to Clipboard. This image can be pasted into another TECNOWIN drawing. The 3D Window -Save- command works in the same way but writes the image like a drawing file with .tnt extension.

SEE ALSO:

3D Window -Shading-


 3D Window -Shading-

Makes a Shading process.

    SITUATION:

   3D Window Menú.

    PARAMETERS:

    None.

    COMMENT:

 The Shading effect depends of the Shading model. The default shading model is Lights type which takes in account the light effect on the perspective.

SEE ALSO:

3D Windows -Shading Options-


 3D Window -Save-

 Makes a hidding lines process and writes the resulting vectorial image like a drawing file.

  SITUATION:

   3D Window Menú.

    PARAMETERS:

    Dialog Frame to save files..

    COMMENT:

SEE ALSO:

3D Window -Shading-


 3DWindow -BMPCopy-

Copies the image in the 3D Window to Clipboard as Windows Bitmap (.BMP) .

    SITUATION:

    3D Window Menu. Interchange SubMenu.

    PARAMETERS:

    None.

    COMMENT:

 The image size is the 3D Window current size in pixels. So if you want a full screen image then maximise the window.

SEE ALSO:


 3D Window -ObjCopy-

Makes a hidding lines process and copies the resulting vectorial image to Clipboard so that it can be pasted from another drawing.

   SITUATION:

    3D Window Menu. Interchange SubMenu.

    PARAMETERS:

    None.

    COMMENT:

SEE ALSO:


 TECNOWIN-3D -ToolBox-

 Displays a TOOLBOX with TECNOWIN-3D commands.

    SITUATION:

    3D Menu.

    PARAMETERS:

    You can choose between some ToolBox shapes. They are in schematic mode in the menu.

    COMMENT:

SEE ALSO: